version: '3.9'
name: 'drone'

services:
  mavros:
    image: registry.gitlab.com/beerlab/cpc/quadcopter/mavros_docker:latest
    container_name: mavros
    command: ["/bin/bash", "-ci", "roslaunch mavros_docker drone.launch"]
    ipc: host
    stdin_open: true
    tty: true
    network_mode: host
    privileged: true
    environment:
      - DISPLAY
      - XAUTORITY
      - QT_X11_NO_MITSHM=1
      - ROS_MASTER_URI=http://pi:11311/
      - FCU_URL=/dev/ttyS0:921600
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - /dev:/dev
      - /tmp/.X11-unix:/tmp/.X11-unix:rw

  record:
    image: registry.gitlab.com/beerlab/cpc/utils/cps_ros_base_docker:latest
    container_name: record
    command: ["/bin/bash", "-ci", "rosrun image_view video_recorder image:=/usb_cam/image_raw _filename:=video.avi _fps:=30"]
    environment:
      - DISPLAY
      - XAUTORITY
      - QT_X11_NO_MITSHM=1
    ipc: host
    working_dir: /workspace/ros_ws/video
    stdin_open: true
    tty: true
    network_mode: "host"
    volumes:
      - /tmp/.X11-unix:/tmp/.X11-unix:rw
      - /etc/localtime:/etc/localtime:ro
      - /dev:/dev
      - /odm_media/video:/workspace/ros_ws/video
    depends_on:
      - mavros